Rails.application.routes.draw do
  resources :posts
  resources :ip_addresses
  resources :nico_tag_relations
  resources :post_tags
  resources :settings
  resources :tag_aliases
  resources :tags
  resources :user_ips
  resources :user_post_views
  resources :users, only: [:create] do
    collection do
      post :verify
      get :me
    end
  end

  get 'tags/autocomplete', to: 'tags#autocomplete'
  post 'posts/:id/viewed', to: 'posts#viewed'
  delete 'posts/:id/viewed', to: 'posts#unviewed'
  get 'preview/title', to: 'preview#title'
  get 'preview/thumbnail', to: 'preview#thumbnail'
  get 'wiki/*title', to: 'wiki_pages#show', format: false
  post 'wiki/*title', to: 'wiki_pages#save', format: false

  # Define your application routes per the DSL in https://guides.rubyonrails.org/routing.html

  # Reveal health status on /up that returns 200 if the app boots with no exceptions, otherwise 500.
  # Can be used by load balancers and uptime monitors to verify that the app is live.
  # get "up" => "rails/health#show", as: :rails_health_check

  # Defines the root path route ("/")
  # root "posts#index"
end
