import { useParams } from 'react-router-dom'
import ReactMarkdown from 'react-markdown'
import { useEffect, useState } from 'react'
import axios from 'axios'
import { API_BASE_URL } from '@/config'


const WikiShowPage = () => {
  const { name } = useParams ()

  const [markdown, setMarkdown] = useState ('')

  useEffect (() => {
    void (axios.get (`${ API_BASE_URL }/wiki/${ encodeURIComponent (name) }`)
          .then (res => setMarkdown (res.data))
          .catch (() => setMarkdown ('# ページが存在しません')))
  }, [name])

  return (
      <div className="prose mx-auto p-4">
        <ReactMarkdown>{markdown}</ReactMarkdown>
      </div>)
}


export default WikiShowPage
